﻿local NAME, addon = ...

local locales = {
	enUS = {
		config_panels = {
			options = "Options"
		},
		config_groups = {
			raidroll = "Special Rolls Menu",
			specialrecipients = "Special Recipients Menu",
			awardannounce = "Announce Item Distribution",
		},
		config = {
			menu_roll = "Show raid roll",
			menu_disenchant = "Show disenchanter",
			menu_bank = "Show banker",
			menu_self = "Show self",
			award_qualitythreshold = "Minimum announce quality",
			award_channel = "Default chat announce channel",
			award_guildannounce = "Echo in guild chat",
			desc_channel_auto = "Highest available",
		},
		ML_RANDOM = "Raid Roll",
		ML_SELF = "Self Loot",
		ML_BANKER = "Banker",
		ML_DISENCHANTER = "Disenchanter",
		RECIPIENTS = "Special Recipients",
		SPECIALROLLS = "Special Rolls",
		BINDING_BANKER = "Set Banker",
		BINDING_DISENCHANTER = "Set Disenchanter",
		ITEM_AWARDED = "%s awarded: %s",
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
if L ~= locales.enUS then
	setmetatable(L, { __index = locales.enUS })
	for k, v in pairs(L) do	
		if type(v) == 'table' then
			setmetatable(v, { __index = locales.enUS[k] })
		end
	end
end
addon.L = L
